<?php
/**
 * @copyright Copyright 2012 Glenn Herbert
 * @copyright Portions Copyright 2003-2006 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.gnu.org/licenses/ GNU Public License V3.0
 * includes/functions/extra_functions/categories_dressing_functions.php
 * Categories Dressing   by   Glenn Herbert (gjh42)   - 20101019    test 20100922 (<li> indent not yet tested) test 20120206 (case 7) 20120717 (test_level) 20121105-20130211 (base style)
 */

function cat_base_style($path,$array_item=array()){
    switch(true) {
      case (defined('CAT_SPECIAL_CATEGORY_' . $path)):
        $new_style = constant('CAT_SPECIAL_CATEGORY_' . $path);
        break;
      case ($array_item['top'] == 'true'):
        $new_style = 'top';
        break;
      case ($array_item['has_sub_cat']):
        $new_style = 'subs';
        break;
      default:
        $new_style = 'products';
    }
  return $new_style;
}

function cat_path_parent($path) {
  $path_ids = explode('_',$path);
  $path_parent = (count($path_ids) >= 2)? $path_ids[count($path_ids)-2]: '';
  return $path_parent;
}

function cat_path_common_parent($path1,$path2) {
  $parent_paths1 = explode('_',$path1);
  $parent_paths2 = explode('_',$path2);
  for($i=0;$i=max(count($parent_paths1),count($parent_paths2))-1;$i++){
    if (isset($parent_paths1[$i]) and isset($parent_paths2[$i])) { 
      if ($parent_paths1[$i] == $parent_paths2[$i])  $cp_level = $i;
    }
    //if ($i > 0 and isset($parent_paths[1][$i]))  $parent_paths[1][$i] = $parent_paths[1][$i-1] . '_' . $parent_paths[1][$i];//noy needed
    if ($i > 0 and isset($parent_paths2[$i]))  $parent_paths2[$i] = $parent_paths2[$i-1] . '_' . $parent_paths2[$i];
  }
  return array($parent_paths2, $cp_level);
}

function cat_active_level_manage($path) {
  $skip_cat = 0;
  if (defined('CAT_BOX_ACTIVE_LEVEL')) {
    $test_level = 0;
    $cat_box_active_level = explode('|',constant('CAT_BOX_ACTIVE_LEVEL'));
    $cPath_top = (int)$_GET['cPath'];// isset($cPath)? (int)$cPath: 0;//requires  global $cPath;
    $path_top = (int)$path;
    $cat_depth = substr_count($path,'_');
    //tests for various kinds of skipping - more can be added
    switch ($cat_box_active_level[0]){
      case 0://standard behavior, per level
        $test_level = 1;
        break;
      case 1://full active tree only
        if($cPath_top != $path_top) $skip_cat = 1;
        break;
      case 2://full active tree (per level when no cat selected)
        if($cPath_top == 0){//test
          $test_level = 1;
          break;
        }
        if($cPath_top != $path_top) $skip_cat = 1;
        break;
      case 3://full active tree, others per level
        if($cPath_top != $path_top) $test_level = 1;
        break;
      case 4://like 3, active branches only
        if($cPath_top == $path_top){
          if ($cat_depth >= 2){//only test sub-subcats+
            if (!in_array(cat_path_parent($path),explode('_',$_GET['cPath']))) $skip_cat = 1;//show only subcats w parent in $cPath
          }
        } else {//if not active test for level
          $test_level = 1;
        }
        break;
      case 5:// show active tree, no top, per levels
        if ($cat_depth == 0 or $cPath_top != $path_top) {
          $skip_cat = 1;
        }else{
          $test_level = 1;
        }
        break;
      case 6://like 2, active branches only
        if($cPath_top == 0){//test
          $test_level = 1;
        } elseif ($cPath_top == $path_top){
          if ($cat_depth >= 2){//only test sub-subcats+
            if (!in_array(cat_path_parent($path),explode('_',$_GET['cPath']))) $skip_cat = 1;//show only subcats w parent in $cPath
          }
        } else {//if not active test for level
          $test_level = 1;
        }
        break;
      case 7://full active tree, per level (only all tops when no cat selected)
        if($cPath_top == 0 and $cat_depth != 0) {//only tops when none active
          $skip_cat = 1;
        }elseif($cPath_top != $path_top and $cPath_top != 0) {//skip all non-active tree
          $skip_cat = 1;
        }elseif($cPath_top == $path_top and $cPath_top != 0) {//if active test for level
          $test_level = 1;
        }
        break;  
    }//switch
    if ($test_level and ($cat_box_active_level[1] > $cat_depth or $cat_box_active_level[2] < $cat_depth)) $skip_cat = 1;
  }//defined
  return $skip_cat;
}

function cat_ul_manage($current_path, &$prev_path, $new_group) {
  $ul_content = '';
  $cat_depth = substr_count($current_path,'_');
  $prev_cat_depth = substr_count($prev_path,'_');
  $group_id = ' id="catGroup' . $current_path . '"';
  if ($prev_path == '') {//first item
    $ul_content .= str_repeat("\n" . '<ul>' . "\n" . str_repeat('  ',$cat_depth) . '  <li>',$cat_depth) . "\n" . '<ul' . $group_id . '>' . "\n";
  } else {
    if ($cat_depth > $prev_cat_depth) {//deeper
      $ul_content .= str_repeat('<ul>' . "\n" . str_repeat('  ',$cat_depth) . '  <li>',($cat_depth - $prev_cat_depth - 1)) . "\n" . '<ul' . $group_id . '>' . "\n";
    } elseif ($cat_depth < $prev_cat_depth) {//higher
      $ul_content .= str_repeat('</li>' . "\n" . '</ul>',($prev_cat_depth - $cat_depth)) . ($new_group?'</li>' . "\n" . '</ul>' . ($cat_depth > 0? '</li>' . "\n" . str_repeat('  ', $cat_depth) . '  <li>':'') . "\n" . '<ul' . $group_id . '>':'</li>') . "\n";
    } else {//no depth change
      $new_group = (($current_path != 0) and (cat_path_parent($current_path) != cat_path_parent($prev_path)))? '1': $new_group;//subs of different parent cats
      if ($new_group) {
        $path_parents = cat_path_common_parent($prev_path,$current_path);
        // $path_parents[0][$i]  $path_parents[1]
      }
      $ul_content .= '</li>' . ($new_group?"\n" . '</ul>' . ($cat_depth > 0? '</li>' . "\n" . str_repeat('  ', $cat_depth) . '  <li>':'') . "\n" . '<ul' . $group_id . '>':'') . "\n";
    }
  }//if
  $prev_path = $current_path;
  return $ul_content;
}

function cat_box_heading($current_path) {
  $heading_content = '';
  $new_group = 0;
  if (defined('CAT_BOX_HEADING_' . $current_path)) {
    $cat_box_heading = explode('|',constant('CAT_BOX_HEADING_' . $current_path));
    if ($cat_box_heading[0]) {
      $new_group = 1;
    }
    if ($cat_box_heading[1]) {
      $heading_content .= '<li class="headLi"><hr class="catBoxDivider' . $cat_box_heading[1] . '" /></li>' . "\n"; 
    }
    if ($cat_box_heading[2]) {
      //display image if exists for category name in current language - with alt text
      $heading_content .= '<li class="headLi">' . (file_exists(DIR_WS_TEMPLATE . 'buttons/' . $_SESSION['language'] . '/' . $cat_box_heading[2]) ? '<div class="catBoxHeadingImg">' . zen_image(DIR_WS_TEMPLATE . 'buttons/' . $_SESSION['language'] . '/' . $cat_box_heading[2], $cat_box_heading[3]) . '</div>':$cat_box_heading[3]) . '</li>' . "\n";
    }
    $i=4;
    while ($i<(sizeof($cat_box_heading)-1)) {
      $heading_content .= '<li class="headLi"><div class="catBoxHeading' . $cat_box_heading[$i+1] . '">' .  $cat_box_heading[$i] . '</div></li>' . "\n";
      $i = $i+2;
    }
  }
  return array($new_group,$heading_content);
}

function cat_name_display($cat_name_display, $current_path) {
  $cat_img_bg = '';
  //display image if exists for category name in current language - with alt text
  if (file_exists(DIR_WS_TEMPLATE . 'buttons/' . $_SESSION['language'] . '/catimg' . $current_path . CAT_NAME_IMG_EXT)) {
    $cat_name_display = zen_image(DIR_WS_TEMPLATE . 'buttons/' . $_SESSION['language'] . '/catimg' . $current_path . CAT_NAME_IMG_EXT, $cat_name_display);
  //display background image if exists for category name in current language - with alt text
  } elseif (file_exists(DIR_WS_TEMPLATE . 'buttons/' . $_SESSION['language'] . '/catbg' . $current_path . CAT_NAME_IMG_EXT)) {
    $cat_name_display = zen_image(DIR_WS_TEMPLATE_IMAGES . 'pixel_trans.gif', $cat_name_display, '100%', '100%');
    $cat_img_bg = ' catBg' . $current_path;
  } else {
    $cat_img_bg = '-text';//append to main classname
  }
  return array($cat_img_bg, $cat_name_display);
}

function cat_box_subtext($current_path) {
  $subtext = '';
  if (defined('CAT_BOX_SUBTEXT_' . $current_path)) {
    $cat_box_subtext = explode('|',constant('CAT_BOX_SUBTEXT_' . $current_path));
    $subtext .= '<div class="catBoxSubtext' . $cat_box_subtext[1] . '">' . $cat_box_subtext[0] . '</div>';
  }
  return $subtext;
}
?>