<?php
/**
 * Side Box Template
 *
 * @package templateSystem
 * @copyright Copyright 2011 Glenn Herbert
 * @copyright Portions Copyright 2003-2006 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.gnu.org/licenses/ GNU Public License V3.0
 * @version $Id: tpl_categories.php 4162 2006-08-17 03:55:02Z ajeh $
 * Modified for Categories Dressing   by  Glenn Herbert (gjh42)   - 20110110   test 20121105 (new_style)
 *
 * Referenced files:
 * includes/functions/extra_functions/categories_dressing_functions.php
 * includes/languages/english/extra_definitions/your_template/categories_dressing_defines.php - make user settings here
 */

  $content = "";
  $prev_path = '';//do not alter
  $content .= '<div id="' . str_replace('_', '-', $box_id . 'Content') . '" class="sideBoxContent">' . "\n";

  for ($i=0;$i<sizeof($box_categories_array);$i++) {
    $current_path = str_replace("cPath=","",$box_categories_array[$i]['path']);
	$new_style = cat_base_style($current_path,$box_categories_array[$i]);
    $skip_cat = cat_active_level_manage($current_path);
    $cat_depth = substr_count($current_path,'_');
    if ($skip_cat or zen_get_product_types_to_category($box_categories_array[$i]['path']) == 3 or ($box_categories_array[$i]['top'] != 'true' and SHOW_CATEGORIES_SUBCATEGORIES_ALWAYS != 1)) {
      // skip if this is for the document box (==3)
    } else {
      $cat_box_heading = cat_box_heading($current_path);
      $cat_ul = cat_ul_manage($current_path, $prev_path, $cat_box_heading[0]);
      $content .= $cat_ul;
      $content .= $cat_box_heading[1];
      $cat_name_display = cat_name_display($box_categories_array[$i]['name'], $current_path);
      $active_class = ($box_categories_array[$i]['current'])? ($box_categories_array[$i]['has_sub_cat']? 'parent': 'selected'): 'not-selected';
      $content .= str_repeat('  ',$cat_depth) . '  <li class="cat-' . $new_style . '"><a class="cat-' . $active_class . $cat_name_display[0] . '" href="' . zen_href_link(FILENAME_DEFAULT, $box_categories_array[$i]['path']) . '">';
      $content .= $cat_name_display[1];
      if ($box_categories_array[$i]['has_sub_cat'] and $cat_name_display[0] == '-text') {
        $content .= CATEGORIES_SEPARATOR;
      }

      if (SHOW_COUNTS == 'true' and $cat_name_display[0] == '-text') {
        if ((CATEGORIES_COUNT_ZERO == '1' and $box_categories_array[$i]['count'] == 0) or $box_categories_array[$i]['count'] >= 1) {
          $content .= '<span class="catCount">' . CATEGORIES_COUNT_PREFIX . $box_categories_array[$i]['count'] . CATEGORIES_COUNT_SUFFIX . '</span>';
        }
      }
      $content .= '</a>';
      $content .= cat_box_subtext($current_path);
    }
  }
  $content .= cat_ul_manage(0, $prev_path, 0) . '</ul>' . "\n";
    
  if (SHOW_CATEGORIES_BOX_SPECIALS == 'true' or SHOW_CATEGORIES_BOX_PRODUCTS_NEW == 'true' or SHOW_CATEGORIES_BOX_FEATURED_PRODUCTS == 'true' or SHOW_CATEGORIES_BOX_PRODUCTS_ALL == 'true') {
// display a separator between categories and links
    if (SHOW_CATEGORIES_SEPARATOR_LINK == '1') {
      $content .= '<hr id="catBoxDivider" />' . "\n";
    }
    $content .= '<ul class="catLinks">' . "\n";
    if (SHOW_CATEGORIES_BOX_SPECIALS == 'true') {
      $cat_box_link_head = cat_box_heading('SPECIALS');
      $show_this = $db->Execute("select s.products_id from " . TABLE_SPECIALS . " s where s.status= 1 limit 1");
      if ($show_this->RecordCount() > 0) {
        $content .= $cat_box_link_head[1];
		$current = strstr($_SERVER['REQUEST_URI'],'main_page=specials')?'-current': '';
        $link_name_display = cat_name_display(CATEGORIES_BOX_HEADING_SPECIALS,'specials');
        $content .= '  <li><a class="cat-links' . $current . $link_name_display[0] . '" href="' . zen_href_link(FILENAME_SPECIALS) . '">' . $link_name_display[1] . '</a>' . '</li>' . "\n";
      }
    }
    if (SHOW_CATEGORIES_BOX_PRODUCTS_NEW == 'true') {
      // display limits
//      $display_limit = zen_get_products_new_timelimit();
      $display_limit = zen_get_new_date_range();

      $show_this = $db->Execute("select p.products_id
                                 from " . TABLE_PRODUCTS . " p
                                 where p.products_status = 1 " . $display_limit . " limit 1");
      if ($show_this->RecordCount() > 0) {
        $cat_box_link_head = cat_box_heading('NEW');
        $current = strstr($_SERVER['REQUEST_URI'],'main_page=products_new')?'-current': '';
        $link_name_display = cat_name_display(CATEGORIES_BOX_HEADING_WHATS_NEW,'new');
        $content .= $cat_box_link_head[1];
        $content .= '  <li><a class="cat-links' . $current . $link_name_display[0] . '" href="' . zen_href_link(FILENAME_PRODUCTS_NEW) . '">' . $link_name_display[1] . '</a>' . '</li>' . "\n";
      }
    }
    if (SHOW_CATEGORIES_BOX_FEATURED_PRODUCTS == 'true') {
      $show_this = $db->Execute("select products_id from " . TABLE_FEATURED . " where status= 1 limit 1");
      if ($show_this->RecordCount() > 0) {
        $cat_box_link_head = cat_box_heading('FEATURED');
        $current = strstr($_SERVER['REQUEST_URI'],'main_page=featured_products')?'-current': '';
        $link_name_display = cat_name_display(CATEGORIES_BOX_HEADING_FEATURED_PRODUCTS,'featured');
        $content .= $cat_box_link_head[1];
        $content .= '  <li><a class="cat-links' . $current . $link_name_display[0] . '" href="' . zen_href_link(FILENAME_FEATURED_PRODUCTS) . '">' . $link_name_display[1] . '</a>' . '</li>' . "\n";
      }
    }
    if (SHOW_CATEGORIES_BOX_PRODUCTS_ALL == 'true') {
      $cat_box_link_head = cat_box_heading('ALL');
      $current = strstr($_SERVER['REQUEST_URI'],'main_page=products_all')?'-current': '';
      $link_name_display = cat_name_display(CATEGORIES_BOX_HEADING_PRODUCTS_ALL,'all');
      $content .= $cat_box_link_head[1];
      $content .= '  <li><a class="cat-links' . $current . $link_name_display[0] . '" href="' . zen_href_link(FILENAME_PRODUCTS_ALL) . '">' . $link_name_display[1] . '</a>' . '</li>' . "\n";
    }
    $content .= '</ul>' . "\n";
  }
  $content .= '</div>';
?>